Description

When i request /api/compute_resources/:id/available_clusters , list of clusters is empty ..

When i look in app/models/compute_resources/foreman/model/vmware.rb the method clusters return an array of string , but the view

of API needs an array of cluster objet

I've modify the method :

def clusters

      if dc.clusters.nil?

        Rails.logger.info "Datacenter #{dc.try(:name)} returned zero clusters" 

        return []

      end

      #dc.clusters.map(&:full_path).sort

      name_sort(dc.clusters)

end

 and now it's ok...

It's a bug or a i use so bad the API ?

Michael

Related issues:

Related to Foreman - Bug #8581: Can't provision a new host if vmware cluster ... Closed 12/04/2014

Associated revisions

Revision 208a655e - 10/21/2015 02:10 PM - Timo Goebel

fixes #11345 - API GET request available_clusters sends empty hash

Revision cdef67a6 - 10/28/2015 11:20 AM - Timo Goebel

fixes #11345 - API GET request available_clusters sends empty hash

(cherry picked from commit 208a655e8805d41e3eebf82871803770966d20e5)

History

#1 - 08/14/2015 04:43 AM - Dominic Cleal

- Related to Bug #8581: Can't provision a new host if vmware cluster is under folder added

#2 - 08/14/2015 04:47 AM - Dominic Cleal

- Category set to Compute resources - VMware

It's a bug introduced by #8581.

#3 - 08/19/2015 11:06 AM - Michael Alves Lobo

05/09/2024 1/3

https://projects.theforeman.org/issues/8581


Dominic,

Thanks.

But i think my problem is not excatly this bug.

In this rabl view (compute_resources/available_clusters.rabl) i've:

collection @available_clusters

regards , 

Michael

attribute :name, :id

 But @available_clusters is an array of string, not a array of object , and so the result is empty like this :

{

    "total": 2,

    "subtotal": 2,

    "page": 1,

    "per_page": 100,

    "search": null,

    "sort": 

{

    "by": null,

    "order": null

},

"results": 

    [

        { }

    ]

}

#4 - 08/19/2015 11:07 AM - Michael Alves Lobo

Dominic,

Thanks.

But i think my problem is not excatly this bug.

In this rabl view (compute_resources/available_clusters.rabl) i've:

collection @available_clusters

attribute :name, :id

 But @available_clusters is an array of string, not a array of object , and so the result is empty like this :

{

    "total": 2,

    "subtotal": 2,

    "page": 1,

    "per_page": 100,

    "search": null,

    "sort": 

{

    "by": null,

    "order": null

},

"results": 

    [

        { }

    ]
}

#5 - 08/20/2015 03:25 AM - Dominic Cleal

Yes, I understand.  I was saying that it was caused by a change in that bug, which switched the cluster return value from objects to strings.

#6 - 10/20/2015 01:13 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2850 added

- Pull request deleted ()

#7 - 10/21/2015 03:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 208a655e8805d41e3eebf82871803770966d20e5.

#8 - 10/22/2015 02:54 AM - Dominic Cleal

- Assignee set to Timo Goebel

- translation missing: en.field_release set to 63

#9 - 02/29/2016 08:25 AM - Tomer Brisker

- Bugzilla link set to 1206243
